Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.event
Class EventCollection

    java.lang.Object
      java.util.EventObject
          org.apache.slide.event.EventCollection

All Implemented Interfaces:
  java.io.Serializable

public class EventCollection
extends java.util.EventObject

Event collection class

Version:
  $Revision: 1.7 $
See Also:
  Serialized Form

Nested Class Summary
`static class` | `EventCollection.Collected`
`class` | `EventCollection.Event`
`static class` | `EventCollection.VetoableCollected`

Field Summary
`static EventCollection.Collected` | `COLLECTED`
`(package private) java.util.List` | `collection`
`static java.lang.String` | `GROUP`
`static AbstractEventMethod[]` | `methods`
`static EventCollection.VetoableCollected` | `VETOABLE_COLLECTED`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`EventCollection(java.lang.Object source)`

Method Summary
`void` | `addEvent(AbstractEventMethod method, java.util.EventObject event)`
`java.util.List` | `getCollection()`
`java.lang.String` | `toString()`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### collection

    java.util.List collection

### COLLECTED

    public static final EventCollection.Collected COLLECTED

### VETOABLE_COLLECTED

    public static final EventCollection.VetoableCollected VETOABLE_COLLECTED

### GROUP

    public static final java.lang.String GROUP

See Also:
  Constant Field Values

### methods

    public static final AbstractEventMethod[] methods

Constructor Detail

### EventCollection

    public EventCollection(java.lang.Object source)

Method Detail

### addEvent

    public void addEvent(AbstractEventMethod method,
                         java.util.EventObject event)

### getCollection

    public java.util.List getCollection()

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD